(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@gluestack-ui/actionsheet", "../styled", "./styled-components"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Actionsheet = void 0;
    const actionsheet_1 = require("@gluestack-ui/actionsheet");
    const styled_1 = require("../styled");
    const styled_components_1 = require("./styled-components");
    exports.Actionsheet = (0, actionsheet_1.createActionsheet)({
        Root: styled_components_1.Root,
        Content: styled_components_1.Content,
        Item: styled_components_1.Item,
        ItemText: styled_components_1.ItemText,
        DragIndicator: styled_components_1.DragIndicator,
        IndicatorWrapper: styled_components_1.IndicatorWrapper,
        Backdrop: styled_components_1.Backdrop,
        ScrollView: styled_components_1.ScrollView,
        VirtualizedList: styled_components_1.VirtualizedList,
        FlatList: styled_components_1.FlatList,
        SectionList: styled_components_1.SectionList,
        SectionHeaderText: styled_components_1.SectionHeaderText,
        Icon: styled_components_1.Icon,
        //@ts-ignore
        AnimatePresence: styled_1.styled.Component,
    });
});
