(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../../styled", "@gluestack-style/react"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const styled_1 = require("../../styled");
    const react_1 = require("@gluestack-style/react");
    exports.default = (0, styled_1.styled)(react_1.AsForwarder, {
        variants: {
            size: {
                xs: {
                    h: 12,
                    w: 12,
                },
                sm: {
                    h: 16,
                    w: 16,
                },
                md: {
                    h: 18,
                    w: 18,
                },
                lg: {
                    h: 20,
                    w: 20,
                },
                xl: {
                    h: 24,
                    w: 24,
                },
            },
        },
        defaultProps: {
            size: 'md',
        },
    }, {
        ancestorStyle: ['_icon'],
    }, {
        propertyTokenMap: {
            stroke: 'colors',
        },
    });
});
