(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "react-native", "../../styled"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const react_native_1 = require("react-native");
    const styled_1 = require("../../styled");
    exports.default = (0, styled_1.styled)(react_native_1.View, {
        display: 'flex',
        alignItems: 'center',
        justifyContent: 'center',
        variants: {
            size: {
                'xs': {
                    height: 10,
                    width: 10,
                },
                'sm': {
                    height: 12,
                    width: 12,
                },
                'md': {
                    height: 16,
                    width: 16,
                },
                'lg': {
                    height: 24,
                    width: 24,
                },
                'xl': {
                    height: 32,
                    width: 32,
                },
                '2xl': {
                    height: 40,
                    width: 40,
                },
            },
        },
    }, {});
});
