(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "react-native", "../../styled"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const react_native_1 = require("react-native");
    const styled_1 = require("../../styled");
    exports.default = (0, styled_1.styled)(react_native_1.Image, {
        maxWidth: '100%',
        variants: {
            size: {
                '2xs': {
                    w: '$6',
                    h: '$6',
                },
                'xs': {
                    w: '$10',
                    h: '$10',
                },
                'sm': {
                    w: '$16',
                    h: '$16',
                },
                'md': {
                    w: '$20',
                    h: '$20',
                },
                'lg': {
                    w: '$24',
                    h: '$24',
                },
                'xl': {
                    w: '$32',
                    h: '$32',
                },
                '2xl': {
                    w: '$64',
                    h: '$64',
                },
                'full': {
                    w: '100%',
                    h: '100%',
                },
            },
        },
    }, {});
});
