(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../../styled", "@expo/html-elements"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Item = void 0;
    const styled_1 = require("../../styled");
    const html_elements_1 = require("@expo/html-elements");
    exports.Item = (0, styled_1.styled)(html_elements_1.LI, {
        px: "$3",
        py: "$2",
        ":hover": {
            bg: "$backgroundLight100",
        },
        ":disabled": {
            opacity: 0.4,
        },
        ":active": {
            bg: "$backgroundLight200",
        },
        ":focus": {
            bg: "$backgroundLight100",
        },
        _dark: {
            ":hover": {
                bg: "$backgroundDark800",
            },
            ":active": {
                bg: "$backgroundDark700",
            },
            ":focus": {
                bg: "$backgroundDark700",
            },
        },
        _web: {
            ":focusVisible": {
                bg: "$backgroundLight100",
                _dark: {
                    bg: "$backgroundDark700",
                },
            },
            cursor: "pointer",
        },
    }, {
        descendantStyle: ["_text"],
    });
});
