(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "react-native", "@legendapp/motion", "../../styled"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const react_native_1 = require("react-native");
    const motion_1 = require("@legendapp/motion");
    const styled_1 = require("../../styled");
    const MotionPressable = (0, motion_1.createMotionAnimatedComponent)(react_native_1.Pressable);
    exports.default = (0, styled_1.styled)(MotionPressable, {
        //@ts-ignore
        ':initial': {
            opacity: 0,
        },
        ':animate': {
            opacity: 0.3,
        },
        ':exit': {
            opacity: 0,
        },
        'position': 'absolute',
        'left': 0,
        'top': 0,
        'right': 0,
        'bottom': 0,
        'bg': '$backgroundLight500',
    }, {});
});
