(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@gluestack-style/react", "../../styled"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const react_1 = require("@gluestack-style/react");
    const styled_1 = require("../../styled");
    exports.default = (0, styled_1.styled)(react_1.AsForwarder, {
        'w': '100%',
        'h': '100%',
        'justifyContent': 'center',
        'alignItems': 'center',
        'borderRadius': '$full',
        ':checked': {
            'color': '$primary600',
            ':disabled': {
                opacity: 1,
            },
            ':hover': {
                'color': '$primary700',
                ':disabled': {
                    color: '$primary600',
                    opacity: 1,
                },
            },
        },
        '_dark': {
            ':checked': {
                'color': '$primary500',
                ':disabled': {
                    color: '$primary500',
                    opacity: 1,
                },
                ':hover': {
                    ':disabled': {
                        color: '$primary500',
                        opacity: 1,
                    },
                    'color': '$primary400',
                },
            },
        },
    }, {
        ancestorStyle: ['_icon'],
        resolveProps: ['color'],
    });
});
